## kwallet-pam 5.16.5

=== debian/changelog ===
kwallet-pam (4:5.16.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 04 Sep 2019 09:24:25 +0100

kwallet-pam (4:5.16.4-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 Jul 2019 18:45:13 +0100

kwallet-pam (4:5.16.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 09 Jul 2019 22:22:32 +0100

kwallet-pam (4:5.16.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 25 Jun 2019 18:23:30 +0100

kwallet-pam (4:5.16.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 18 Jun 2019 22:24:02 +0100

kwallet-pam (4:5.16.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 11 Jun 2019 11:36:10 +0100

kwallet-pam (4:5.15.90-0ubuntu1) eoan; urgency=medium

  * Build depend on libkf5wallet-dev.
  * KDE4 support has been dropped, so libpam-kwallet4 becomes a transitional
    dummy package.
  * New upstream (beta) release (5.15.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 18 May 2019 08:49:18 +0100

kwallet-pam (4:5.15.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.15.5)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 May 2019 13:48:11 +0100

=== debian/control ===
Source: kwallet-pam
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.58.0~),
               libgcrypt20-dev (>= 1.5.0~),
               libkf5wallet-dev (>= 5.58.0~),
               libpam0g-dev,
               pkg-kde-tools,
               qtbase5-dev (>= 5.6.1~),
Standards-Version: 4.1.3
Homepage: https://projects.kde.org/projects/kde/workspace/kwallet-pam
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwallet-pam
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwallet-pam

Package: libpam-kwallet-common
Architecture: all
Depends: socat, ${misc:Depends}
Description: KWallet integration with PAM (common files)
 The KDE Wallet system provides a secure way to store passwords and other
 secret information, allowing the user to remember only a single KDE Wallet
 password instead of numerous different passwords and credentials.
 .
 This package provides a the common files needed by the KDE 4 and Kf5 version
 of the PAM integration.

Package: libpam-kwallet4
Architecture: any
Priority: optional
Section: oldlibs
Depends: ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: libpam-kwallet5
Architecture: any
Depends: libpam-kwallet-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KWallet (Kf5) integration with PAM
 The KDE Wallet system provides a secure way to store passwords and other
 secret information, allowing the user to remember only a single KDE Wallet
 password instead of numerous different passwords and credentials.
 .
 This package provides a simple PAM integration for KWallet, so you can log in
 to open a KWallet.

## kwallet-pam 5.18.4.1

=== CMakeLists.txt ===
project(pam_kwallet)
cmake_minimum_required(VERSION 2.8.12)
set(KF5_MIN_VERSION "5.66.0")
set(PROJECT_VERSION "5.18.4")
set(PROJECT_VERSION_MAJOR 5)

find_package (ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set (CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" )

include(CheckFunctionExists)
include(KDEInstallDirs)
include(KDEClangFormat)

find_package(PAM REQUIRED)
find_package(LibGcrypt 1.5.0 REQUIRED)

find_program(SOCAT_EXECUTABLE socat)

if (SOCAT_EXECUTABLE)
  message (STATUS "Found socat executable: ${SOCAT_EXECUTABLE}")
else ()
  message (WARNING "socat is required for pam_kwallet to work")
endif ()

include_directories (
   ${PAM_INCLUDE_DIR}
   ${CMAKE_BINARY_DIR}
   ${CMAKE_CURRENT_BINARY_DIR}
   ${LIBGCRYPT_INCLUDE_DIR}
)
if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054200)
endif()

set(library_name "pam_kwallet5")

set(pam_kwallet_SRCS
   pam_kwallet.c
)

set(KF5_MIN_VERSION "5.66.0")
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Wallet
)

add_definitions(-DKWALLETD_BIN_PATH="${KWALLETD_BIN_PATH}")

if (APPLE)
LIST(APPEND pam_kwallet_SRCS
   pam_darwin.c
)
endif()

# Handle different PAM header styles:
#  - "Linux style" has pam_ext.h
#  - "BSD style" has pam_appl.h
#
find_file(PAM_EXT_PATH security/pam_ext.h)
find_file(PAM_APPL_PATH security/pam_appl.h)
if (PAM_EXT_PATH)
    add_definitions(-DHAVE_PAM_EXT)
endif()
if (PAM_APPL_PATH)
    add_definitions(-DHAVE_PAM_APPL)
endif()

set(CMAKE_REQUIRED_INCLUDES "string.h")
check_function_exists(explicit_bzero HAVE_EXPLICIT_BZERO)
set(CMAKE_REQUIRED_INCLUDES)

if (HAVE_EXPLICIT_BZERO)
    add_definitions(-DHAVE_EXPLICIT_BZERO)
endif()

add_library (${library_name} SHARED ${pam_kwallet_SRCS})
set_target_properties (${library_name} PROPERTIES PREFIX "")
target_link_libraries (${library_name}
   ${PAM_LIBRARIES}
   ${LIBGCRYPT_LIBRARIES}
)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

install(TARGETS ${library_name} DESTINATION ${CMAKE_INSTALL_LIBDIR}/security)

configure_file(pam_kwallet_init.desktop.cmake ${CMAKE_BINARY_DIR}/pam_kwallet_init.desktop)

install(PROGRAMS pam_kwallet_init DESTINATION ${LIBEXEC_INSTALL_DIR})

install(FILES ${CMAKE_BINARY_DIR}/pam_kwallet_init.desktop DESTINATION ${AUTOSTART_INSTALL_DIR})

=== debian/changelog ===
kwallet-pam (4:5.18.4.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.4.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Apr 2020 19:46:38 +0100

kwallet-pam (4:5.18.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 10 Mar 2020 18:08:04 +0000

kwallet-pam (4:5.18.2-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2020 18:30:15 +0000

kwallet-pam (4:5.18.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2020 14:37:04 +0000

kwallet-pam (4:5.18.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2020 07:44:23 +0000

kwallet-pam (4:5.17.90-0ubuntu1) focal; urgency=medium

  * New upstream (beta) release (5.17.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 16 Jan 2020 18:08:18 +0000

kwallet-pam (4:5.17.5-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 08 Jan 2020 06:44:54 +0000

kwallet-pam (4:5.17.4-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Dec 2019 19:24:10 +0000

kwallet-pam (4:5.17.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Nov 2019 17:04:58 +0000

kwallet-pam (4:5.17.2-0ubuntu1) focal; urgency=medium

  * New upstream (beta) release (5.16.90)
  * New upstream release (5.17.0)
  * New upstream release (5.17.1)
  * New upstream release (5.17.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 31 Oct 2019 17:50:13 +0000

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.58.0~),
+               extra-cmake-modules (>= 5.66.0~),
                libgcrypt20-dev (>= 1.5.0~),
-               libkf5wallet-dev (>= 5.58.0~),
+               libkf5wallet-dev (>= 5.66.0~),
                libpam0g-dev,
                pkg-kde-tools,
                qtbase5-dev (>= 5.6.1~),

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

QT4_BUILD_DIR = build-qt4

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(QT4_BUILD_DIR)

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DCMAKE_INSTALL_LIBDIR="/lib/${DEB_HOST_MULTIARCH}" \
	    -DLIBEXEC_INSTALL_DIR="/usr/share/libpam-kwallet-common"
	dh_auto_configure --builddirectory=$(QT4_BUILD_DIR) -- \
	    -DKWALLET4=1 -DCMAKE_INSTALL_LIBDIR="/lib/${DEB_HOST_MULTIARCH}" \
	    -DLIBEXEC_INSTALL_DIR="/usr/share/libpam-kwallet-common"

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --builddirectory=$(QT4_BUILD_DIR)

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --builddirectory=$(QT4_BUILD_DIR)

## kwallet-pam 5.18.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 project(pam_kwallet)
 cmake_minimum_required(VERSION 2.8.12)
 set(KF5_MIN_VERSION "5.66.0")
-set(PROJECT_VERSION "5.18.4")
+set(PROJECT_VERSION "5.18.7")
 set(PROJECT_VERSION_MAJOR 5)
 
 find_package (ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
@@ -28,10 +28,6 @@
    ${CMAKE_CURRENT_BINARY_DIR}
    ${LIBGCRYPT_INCLUDE_DIR}
 )
-if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
-   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
-   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054200)
-endif()
 
 set(library_name "pam_kwallet5")

=== debian/changelog ===
kwallet-pam (4:5.18.7-0ubuntu0.1) focal; urgency=medium

  * New upstream bugfix release (5.18.7) (LP: #1938894)

 -- Rik Mills <rikmills@kde.org>  Mon, 31 Jan 2022 07:40:20 +0000

## kwallet-pam 5.19.5

=== debian/changelog ===
kwallet-pam (4:5.19.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Sep 2020 12:53:55 +0100

kwallet-pam (4:5.19.4-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Jul 2020 20:42:14 +0100

kwallet-pam (4:5.19.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Jul 2020 13:59:12 +0100

kwallet-pam (4:5.19.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.0)
  * New upstream release (5.19.1)
  * New upstream release (5.19.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Jun 2020 13:45:40 +0100

kwallet-pam (4:5.18.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.18.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 05 May 2020 23:40:18 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.66.0~),
+               extra-cmake-modules (>= 5.70.0~),
                libgcrypt20-dev (>= 1.5.0~),
-               libkf5wallet-dev (>= 5.66.0~),
+               libkf5wallet-dev (>= 5.70.0~),
                libpam0g-dev,
                pkg-kde-tools,
                qtbase5-dev (>= 5.6.1~),

## kwallet-pam 5.20.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 project(pam_kwallet)
 cmake_minimum_required(VERSION 2.8.12)
-set(KF5_MIN_VERSION "5.66.0")
-set(PROJECT_VERSION "5.18.7")
+set(KF5_MIN_VERSION "5.74")
+set(PROJECT_VERSION "5.20.5")
 set(PROJECT_VERSION_MAJOR 5)
 
 find_package (ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
@@ -28,6 +28,10 @@
    ${CMAKE_CURRENT_BINARY_DIR}
    ${LIBGCRYPT_INCLUDE_DIR}
 )
+if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
+   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
+   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054200)
+endif()
 
 set(library_name "pam_kwallet5")
 
@@ -35,7 +39,7 @@
    pam_kwallet.c
 )
 
-set(KF5_MIN_VERSION "5.66.0")
+set(KF5_MIN_VERSION "5.74")
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
     Wallet
 )

=== debian/changelog ===
kwallet-pam (5.20.5-1) unstable; urgency=medium

  * New upstream release (5.20.5).

 -- Norbert Preining <norbert@preining.info>  Wed, 06 Jan 2021 23:50:52 +0900

kwallet-pam (5.20.4-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 11:04:37 +0900

kwallet-pam (5.20.4-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.20.4).
  * Update b-deps with info from cmakefile.

 -- Norbert Preining <norbert@preining.info>  Wed, 09 Dec 2020 14:17:32 +0900

kwallet-pam (5.19.5-3) unstable; urgency=medium

  [ Scarlett Moore ]
  * Remove obsolete entries in d/upstream/metadata
    already defined in d/copyright.

 -- Norbert Preining <norbert@preining.info>  Fri, 06 Nov 2020 08:43:58 +0900

kwallet-pam (5.19.5-2) experimental; urgency=medium

  * Rebuild for Qt 5.15

 -- Norbert Preining <norbert@preining.info>  Mon, 02 Nov 2020 09:27:40 +0900

kwallet-pam (5.19.5-1) experimental; urgency=medium

  * New upstream release (5.19.5).
  * Add Patrick and myself to uploaders.

 -- Norbert Preining <norbert@preining.info>  Mon, 19 Oct 2020 13:40:32 +0900

kwallet-pam (5.19.4-1) experimental; urgency=medium

  * Team upload.

  [ Scarlett Moore ]
  * Bump compat level to 13.
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.18.5).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Remove not needed injection of linker flags.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Set/Update field Upstream-Contact in debian/copyright.

  [ Norbert Preining ]
  * New upstream release (5.19.4).
  * Remove Maximiliano from Uploaders as requested on IRC.
  * Change maintainer in d/control to Debian Qt/KDE Maintainers.
  * Enable hardening for build.
  * Update upstream metadata.
  * Move package from Section kde to admin (like all libpam-* pkgs).

 -- Pino Toscano <pino@debian.org>  Sat, 29 Aug 2020 23:57:31 +0200

kwallet-pam (5.17.5-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 14 Feb 2020 22:06:35 +0100

kwallet-pam (5.17.5-1) experimental; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New upstream release (5.16.5).
  * Salsa CI automatic initialization by Tuco
  * Update build-deps and deps with the info from cmake

  [ Pino Toscano ]
  * New upstream release.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Upstream dropped support for KDE 4, so:
    - drop the libpam-kwallet4 binary
    - stop doing the qt4 build
  * Relax libpam-kwallet-common dependency in libpam-kwallet5, otherwise it
    will not be installable in case of binNMUs.
  * Use https for Format in copyright.
  * Switch cmake parameter LIBEXEC_INSTALL_DIR to KDE_INSTALL_LIBEXECDIR,
    as the former is deprecated.
  * Bump Standards-Version to 4.4.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Sun, 19 Jan 2020 13:33:01 +0100

=== debian/control ===
Source: kwallet-pam
Section: admin
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <patfra71@gmail.com>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.74.0~),
               libgcrypt20-dev (>= 1.5.0~),
               libkf5wallet-dev (>= 5.74.0~),
               libpam0g-dev,
               pkg-kde-tools,
               qtbase5-dev,
Standards-Version: 4.5.0
Homepage: https://invent.kde.org/plasma/kwallet-pam
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwallet-pam
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwallet-pam.git
Rules-Requires-Root: no

Package: libpam-kwallet-common
Architecture: all
Depends: socat, ${misc:Depends}
Description: KWallet integration with PAM (common files)
 The KDE Wallet system provides a secure way to store passwords and other
 secret information, allowing the user to remember only a single KDE Wallet
 password instead of numerous different passwords and credentials.
 .
 This package provides a the common files needed by all versions
 of the PAM integration.

Package: libpam-kwallet5
Architecture: any
Depends: libpam-kwallet-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KWallet (Kf5) integration with PAM
 The KDE Wallet system provides a secure way to store passwords and other
 secret information, allowing the user to remember only a single KDE Wallet
 password instead of numerous different passwords and credentials.
 .
 This package provides a simple PAM integration for KWallet, so you can log in
 to open a KWallet.

## kwallet-pam 5.21.4

=== debian/changelog ===
kwallet-pam (4:5.21.4-0ubuntu1) hirsute; urgency=medium

  * New upstream bugfix and translation release (5.21.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Apr 2021 11:09:38 +0100

kwallet-pam (4:5.21.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Mar 2021 20:33:38 +0000

kwallet-pam (4:5.21.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 02 Mar 2021 14:12:34 +0000

kwallet-pam (4:5.21.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 23 Feb 2021 15:06:07 +0000

kwallet-pam (4:5.21.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 17 Feb 2021 14:21:49 +0000

kwallet-pam (4:5.20.90-0ubuntu1) hirsute; urgency=medium

  * New upstream (beta) release (5.20.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 21 Jan 2021 23:44:51 +0000

kwallet-pam (4:5.20.5-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.20.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 05 Jan 2021 15:04:25 +0000

kwallet-pam (4:5.20.4-0ubuntu2) hirsute; urgency=medium

  * Sync debian changes.

 -- Rik Mills <rikmills@kde.org>  Sat, 26 Dec 2020 21:45:46 +0000

kwallet-pam (4:5.20.4-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.20.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Dec 2020 18:49:38 +0000

kwallet-pam (4:5.20.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.20.0)
  * New upstream release (5.20.1)
  * New upstream release (5.20.2)
  * New upstream release (5.20.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Nov 2020 08:53:17 +0000

## kwallet-pam 5.22.5

=== debian/changelog ===
kwallet-pam (4:5.22.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.5)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 00:47:33 +0200

kwallet-pam (4:5.22.4-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 27 Jul 2021 13:42:56 +0100

kwallet-pam (4:5.22.3-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 Jul 2021 14:06:21 +0100

kwallet-pam (4:5.22.2.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 21:53:47 +0100

kwallet-pam (4:5.22.2-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 18:57:59 +0100

kwallet-pam (4:5.22.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Jun 2021 14:09:59 +0100

kwallet-pam (4:5.22.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 11:53:31 +0100

kwallet-pam (4:5.21.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.21.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 May 2021 17:02:31 +0100

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
            Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 2.8.12~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.74.0~),
+               extra-cmake-modules (>= 5.82.0~),
                libgcrypt20-dev (>= 1.5.0~),
-               libkf5wallet-dev (>= 5.74.0~),
+               libkf5wallet-dev (>= 5.82.0~),
                libpam0g-dev,
                pkg-kde-tools,
                qtbase5-dev,

## kwallet-pam 5.23.5

=== debian/changelog ===
kwallet-pam (5.23.5-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.23.5).

 -- Patrick Franz <deltaone@debian.org>  Fri, 07 Jan 2022 15:43:48 +0100

kwallet-pam (5.23.4-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.4).

 -- Patrick Franz <deltaone@debian.org>  Thu, 02 Dec 2021 20:24:32 +0100

kwallet-pam (5.23.3-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.3).

 -- Norbert Preining <norbert@preining.info>  Wed, 10 Nov 2021 08:39:07 +0900

kwallet-pam (5.23.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Update upstream signing-key.

  [ Norbert Preining ]
  * New upstream release (5.23.1).
  * New upstream release (5.23.2).

 -- Norbert Preining <norbert@preining.info>  Wed, 03 Nov 2021 22:21:02 +0900

kwallet-pam (5.23.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.0).
  * Update list of installed files.

 -- Norbert Preining <norbert@preining.info>  Thu, 14 Oct 2021 20:13:14 +0900

kwallet-pam (5.21.5-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Release to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 17 Aug 2021 03:23:54 +0200

kwallet-pam (5.21.5-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.5).

 -- Patrick Franz <patfra71@gmail.com>  Fri, 07 May 2021 13:54:30 +0200

kwallet-pam (5.21.4-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.4).

 -- Patrick Franz <patfra71@gmail.com>  Tue, 06 Apr 2021 17:46:56 +0200

kwallet-pam (5.21.3-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.21.3).

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Mar 2021 05:49:41 +0900

kwallet-pam (5.21.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.2).

 -- Norbert Preining <norbert@preining.info>  Wed, 03 Mar 2021 05:33:49 +0900

kwallet-pam (5.21.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.21.1).

 -- Norbert Preining <norbert@preining.info>  Wed, 24 Feb 2021 14:36:39 +0900

kwallet-pam (5.21.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.21.0).
  * Update build-deps and deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Feb 2021 05:42:26 +0900

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Scarlett Moore <sgmoore@kde.org>,
-           Patrick Franz <patfra71@gmail.com>,
+           Patrick Franz <deltaone@debian.org>,
            Norbert Preining <norbert@preining.info>,
-Build-Depends: cmake (>= 2.8.12~),
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.82.0~),
+               extra-cmake-modules (>= 5.86~),
                libgcrypt20-dev (>= 1.5.0~),
-               libkf5wallet-dev (>= 5.82.0~),
+               libkf5wallet-dev (>= 5.86~),
                libpam0g-dev,
                pkg-kde-tools,
                qtbase5-dev,

## kwallet-pam 5.24.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,8 @@
 project(pam_kwallet)
-cmake_minimum_required(VERSION 2.8.12)
-set(KF5_MIN_VERSION "5.74")
-set(PROJECT_VERSION "5.20.5")
+cmake_minimum_required(VERSION 3.16)
+set(KF5_MIN_VERSION "5.86")
+set(KDE_COMPILERSETTINGS_LEVEL "5.82")
+set(PROJECT_VERSION "5.24.2")
 set(PROJECT_VERSION_MAJOR 5)
 
 find_package (ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
@@ -10,6 +11,7 @@
 include(CheckFunctionExists)
 include(KDEInstallDirs)
 include(KDEClangFormat)
+include(ECMConfiguredInstall)
 
 find_package(PAM REQUIRED)
 find_package(LibGcrypt 1.5.0 REQUIRED)
@@ -28,10 +30,9 @@
    ${CMAKE_CURRENT_BINARY_DIR}
    ${LIBGCRYPT_INCLUDE_DIR}
 )
-if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
-   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
-   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054200)
-endif()
+
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050c00)
+add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054200)
 
 set(library_name "pam_kwallet5")
 
@@ -39,7 +40,6 @@
    pam_kwallet.c
 )
 
-set(KF5_MIN_VERSION "5.74")
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
     Wallet
 )
@@ -84,10 +84,13 @@
 file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
 kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
 
-install(TARGETS ${library_name} DESTINATION ${CMAKE_INSTALL_LIBDIR}/security)
+install(TARGETS ${library_name} DESTINATION ${KDE_INSTALL_LIBDIR}/security)
 
 configure_file(pam_kwallet_init.desktop.cmake ${CMAKE_BINARY_DIR}/pam_kwallet_init.desktop)
 
-install(PROGRAMS pam_kwallet_init DESTINATION ${LIBEXEC_INSTALL_DIR})
+install(PROGRAMS pam_kwallet_init DESTINATION ${KDE_INSTALL_LIBEXECDIR})
 
-install(FILES ${CMAKE_BINARY_DIR}/pam_kwallet_init.desktop DESTINATION ${AUTOSTART_INSTALL_DIR})
+install(FILES ${CMAKE_BINARY_DIR}/pam_kwallet_init.desktop DESTINATION ${KDE_INSTALL_AUTOSTARTDIR})
+
+ecm_install_configured_files(INPUT plasma-kwallet-pam.service.in @ONLY DESTINATION
+        ${SYSTEMD_USER_UNIT_INSTALL_DIR})

## kwallet-pam 5.24.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 cmake_minimum_required(VERSION 3.16)
 set(KF5_MIN_VERSION "5.86")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
-set(PROJECT_VERSION "5.24.2")
+set(PROJECT_VERSION "5.24.3")
 set(PROJECT_VERSION_MAJOR 5)
 
 find_package (ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)

=== debian/changelog ===
kwallet-pam (5.24.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.3).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 10 Mar 2022 07:45:15 +0100

kwallet-pam (5.24.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.24.2).
  * Bump Standards-Version to 4.6.0 (no changes needed).
  * Re-export signing key without extra signatures.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 26 Feb 2022 21:58:47 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: admin
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Scarlett Moore <sgmoore@kde.org>,
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Norbert Preining <norbert@preining.info>,
            Patrick Franz <deltaone@debian.org>,
-           Norbert Preining <norbert@preining.info>,
+           Scarlett Moore <sgmoore@kde.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.86~),
@@ -13,7 +14,7 @@
                libpam0g-dev,
                pkg-kde-tools,
                qtbase5-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://invent.kde.org/plasma/kwallet-pam
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwallet-pam
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwallet-pam.git

## kwallet-pam 5.24.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 cmake_minimum_required(VERSION 3.16)
 set(KF5_MIN_VERSION "5.86")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
-set(PROJECT_VERSION "5.24.3")
+set(PROJECT_VERSION "5.24.4")
 set(PROJECT_VERSION_MAJOR 5)
 
 find_package (ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)

=== debian/changelog ===
kwallet-pam (4:5.24.4-0ubuntu1) jammy; urgency=medium

  * New upstream bugfix release (5.24.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Mar 2022 10:20:17 +0100

kwallet-pam (4:5.24.3-0ubuntu1) jammy; urgency=medium

  * Update maintainer to Kubuntu Developers.
  * New upstream release (5.24.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 08 Mar 2022 12:14:50 +0000

kwallet-pam (4:5.24.2-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Feb 2022 15:01:45 +0000

kwallet-pam (4:5.24.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Feb 2022 14:21:19 +0000

kwallet-pam (4:5.24.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Feb 2022 21:27:27 +0000

kwallet-pam (4:5.23.90-0ubuntu1) jammy; urgency=medium

  * New upstream beta release (5.23.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Jan 2022 10:18:52 +0000

kwallet-pam (4:5.23.5-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Jan 2022 10:40:40 +0000

kwallet-pam (4:5.23.4-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 30 Nov 2021 21:56:46 +0000

kwallet-pam (4:5.23.3-0ubuntu3) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 29 Nov 2021 17:18:04 +0000

kwallet-pam (4:5.23.3-0ubuntu2) jammy; urgency=medium

  * Sync debian changes.

 -- Rik Mills <rikmills@kde.org>  Wed, 17 Nov 2021 12:05:06 +0000

kwallet-pam (4:5.23.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 10 Nov 2021 11:17:56 +0000

kwallet-pam (4:5.23.2-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.1)
  * New upstream release (5.23.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 05 Nov 2021 07:50:16 +0000

kwallet-pam (4:5.23.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.0)
  * Update install files.
  * Update build deps from cmake.

 -- Rik Mills <rikmills@kde.org>  Mon, 18 Oct 2021 17:52:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,23 @@
 Source: kwallet-pam
 Section: admin
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Scarlett Moore <sgmoore@kde.org>,
+           Patrick Franz <deltaone@debian.org>,
            Norbert Preining <norbert@preining.info>,
-           Patrick Franz <deltaone@debian.org>,
-           Scarlett Moore <sgmoore@kde.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.86~),
+               extra-cmake-modules (>= 5.90.0~),
                libgcrypt20-dev (>= 1.5.0~),
-               libkf5wallet-dev (>= 5.86~),
+               libkf5wallet-dev (>= 5.90.0~),
                libpam0g-dev,
                pkg-kde-tools,
                qtbase5-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.5.0
 Homepage: https://invent.kde.org/plasma/kwallet-pam
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwallet-pam
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwallet-pam.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwallet-pam
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwallet-pam
 Rules-Requires-Root: no
 
 Package: libpam-kwallet-common

## kwallet-pam 5.24.5

=== debian/changelog ===
kwallet-pam (5.24.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 12 May 2022 21:39:10 +0200

kwallet-pam (5.24.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 30 Mar 2022 13:44:06 +0200

## kwallet-pam 5.24.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 project(pam_kwallet)
 cmake_minimum_required(VERSION 3.16)
-set(KF5_MIN_VERSION "5.86")
+set(KF5_MIN_VERSION "5.90")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
-set(PROJECT_VERSION "5.24.4")
+set(PROJECT_VERSION "5.24.90")
 set(PROJECT_VERSION_MAJOR 5)
 
 find_package (ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
@@ -93,4 +93,4 @@
 install(FILES ${CMAKE_BINARY_DIR}/pam_kwallet_init.desktop DESTINATION ${KDE_INSTALL_AUTOSTARTDIR})
 
 ecm_install_configured_files(INPUT plasma-kwallet-pam.service.in @ONLY DESTINATION
-        ${SYSTEMD_USER_UNIT_INSTALL_DIR})
+        ${KDE_INSTALL_SYSTEMDUSERUNITDIR})

=== debian/changelog ===
kwallet-pam (5.24.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.90).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 20 May 2022 11:25:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,23 @@
 Source: kwallet-pam
 Section: admin
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Scarlett Moore <sgmoore@kde.org>,
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Norbert Preining <norbert@preining.info>,
            Patrick Franz <deltaone@debian.org>,
-           Norbert Preining <norbert@preining.info>,
+           Scarlett Moore <sgmoore@kde.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.90.0~),
+               extra-cmake-modules (>= 5.90~),
                libgcrypt20-dev (>= 1.5.0~),
-               libkf5wallet-dev (>= 5.90.0~),
+               libkf5wallet-dev (>= 5.90~),
                libpam0g-dev,
                pkg-kde-tools,
                qtbase5-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://invent.kde.org/plasma/kwallet-pam
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwallet-pam
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwallet-pam
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwallet-pam
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwallet-pam.git
 Rules-Requires-Root: no
 
 Package: libpam-kwallet-common

## kwallet-pam 5.25.1

=== debian/changelog ===
kwallet-pam (5.25.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.25.1).

 -- Patrick Franz <deltaone@debian.org>  Tue, 21 Jun 2022 21:46:04 +0200

kwallet-pam (5.25.0-1) experimental; urgency=medium

  * New upstream release (5.25.0).
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 14 Jun 2022 21:26:08 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libpam0g-dev,
                pkg-kde-tools,
                qtbase5-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://invent.kde.org/plasma/kwallet-pam
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwallet-pam
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwallet-pam.git

## kwallet-pam 5.25.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 project(pam_kwallet)
 cmake_minimum_required(VERSION 3.16)
-set(KF5_MIN_VERSION "5.90")
+set(KF5_MIN_VERSION "5.94")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
-set(PROJECT_VERSION "5.24.90")
+set(PROJECT_VERSION "5.25.4")
 set(PROJECT_VERSION_MAJOR 5)
 
 find_package (ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)

=== debian/changelog ===
kwallet-pam (5.25.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 02 Aug 2022 17:30:43 +0200

kwallet-pam (5.25.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.2).
  * New upstream release (5.25.3).
  * Release to unstable

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 17 Jul 2022 15:26:20 +0200

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
            Scarlett Moore <sgmoore@kde.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.90~),
+               extra-cmake-modules (>= 5.94~),
                libgcrypt20-dev (>= 1.5.0~),
-               libkf5wallet-dev (>= 5.90~),
+               libkf5wallet-dev (>= 5.94~),
                libpam0g-dev,
                pkg-kde-tools,
                qtbase5-dev,

## kwallet-pam 5.25.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 cmake_minimum_required(VERSION 3.16)
 set(KF5_MIN_VERSION "5.94")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
-set(PROJECT_VERSION "5.25.4")
+set(PROJECT_VERSION "5.25.5")
 set(PROJECT_VERSION_MAJOR 5)
 
 find_package (ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)

=== debian/changelog ===
kwallet-pam (4:5.25.5-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 Sep 2022 15:32:20 +0100

kwallet-pam (4:5.25.4-0ubuntu2) kinetic; urgency=medium

  * Sync debian changes.

 -- Rik Mills <rikmills@kde.org>  Fri, 05 Aug 2022 10:56:25 +0100

kwallet-pam (4:5.25.4-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 02 Aug 2022 17:59:21 +0100

kwallet-pam (4:5.25.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Jul 2022 14:43:57 +0100

kwallet-pam (4:5.25.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Jun 2022 14:16:57 +0100

kwallet-pam (4:5.25.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 21 Jun 2022 16:27:18 +0100

kwallet-pam (4:5.25.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Jun 2022 08:05:55 +0100

kwallet-pam (4:5.24.90-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.24.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 19 May 2022 18:40:27 +0100

kwallet-pam (4:5.24.5-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.24.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 May 2022 15:48:32 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kwallet-pam
 Section: admin
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Patrick Franz <deltaone@debian.org>,
@@ -16,8 +17,8 @@
                qtbase5-dev,
 Standards-Version: 4.6.1
 Homepage: https://invent.kde.org/plasma/kwallet-pam
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwallet-pam
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwallet-pam.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwallet-pam
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwallet-pam
 Rules-Requires-Root: no
 
 Package: libpam-kwallet-common

## kwallet-pam 5.25.90

=== debian/changelog ===
kwallet-pam (5.25.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.90).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 25 Sep 2022 00:14:20 +0200

kwallet-pam (5.25.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 09 Sep 2022 23:20:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: kwallet-pam
 Section: admin
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.94~),
+               extra-cmake-modules (>= 5.98.0~),
                libgcrypt20-dev (>= 1.5.0~),
-               libkf5wallet-dev (>= 5.94~),
+               libkf5wallet-dev (>= 5.98.0~),
                libpam0g-dev,
                pkg-kde-tools,
                qtbase5-dev,
 Standards-Version: 4.6.1
 Homepage: https://invent.kde.org/plasma/kwallet-pam
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwallet-pam
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwallet-pam
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwallet-pam
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwallet-pam.git
 Rules-Requires-Root: no
 
 Package: libpam-kwallet-common

## kwallet-pam 5.26.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 project(pam_kwallet)
 cmake_minimum_required(VERSION 3.16)
-set(KF5_MIN_VERSION "5.94")
+set(KF5_MIN_VERSION "5.98.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
-set(PROJECT_VERSION "5.25.5")
+set(PROJECT_VERSION "5.26.5")
 set(PROJECT_VERSION_MAJOR 5)
 
 find_package (ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)

## kwallet-pam 5.26.90

=== debian/changelog ===
kwallet-pam (5.26.90-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.90).
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 23 Jan 2023 21:50:53 +0100

kwallet-pam (5.26.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jan 2023 00:20:27 +0100

kwallet-pam (5.26.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 29 Nov 2022 15:59:40 +0100

kwallet-pam (5.26.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 08 Nov 2022 15:42:34 +0100

kwallet-pam (5.26.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.1).
  * New upstream release (5.26.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 27 Oct 2022 23:29:58 +0200

kwallet-pam (5.26.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 11 Oct 2022 15:44:00 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libpam0g-dev,
                pkg-kde-tools,
                qtbase5-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/plasma/kwallet-pam
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwallet-pam
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwallet-pam.git

## kwallet-pam 5.27.0

=== debian/changelog ===
kwallet-pam (5.27.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.27.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 18 Feb 2023 17:08:37 +0100

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DCMAKE_INSTALL_LIBDIR="/lib/${DEB_HOST_MULTIARCH}" \
	    -DKDE_INSTALL_LIBEXECDIR="/usr/share/libpam-kwallet-common"

## kwallet-pam 5.27.3

=== debian/changelog ===
kwallet-pam (5.27.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.3).

 -- Patrick Franz <deltaone@debian.org>  Wed, 22 Mar 2023 23:14:29 +0100

kwallet-pam (5.27.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.27.1).
  * New upstream release (5.27.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Feb 2023 14:59:17 +0100
